Subject: Re: [PATCH v9 0/8] worktree: Support `--orphan` when creating new worktrees

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 May 2023 14:51:11 -0700

Jacob Abel <[email-masked]> writes:

> I've noticed on the lore that this revision didn't continue the existing
> thread[1] for the patchset. It seems this is because the `In-Reply-To`
> header was stripped from the message due to a bug with the MTA/mail bridge
> I use on my dev machine [2].
>
> Apologies for any confusion this may have caused.
>
> For continuity purposes I can either:
>
> A. RESEND the revision to the main thread with a note in the cover letter
> tagging the discussions from this thread so far.
>
> B. Reply to [1] in the main thread to point to this thread and then
> eventually publish v10 in reply to that reply message in the main thread.
>
> C. Reply to [1] in the main thread to point to this thread and then
> eventually publish v10 in reply to this cover letter.
>
> Let me know which would be the least disruptive/most ideal way forward or
> if there is another way I should approach this.
>
> Thanks.
>
> 1. https://lore.kernel.org/git/[email-masked]/
> 2. https://github.com/ProtonMail/proton-bridge/issues/374

Once the thread is broken, it is broken.  You gave a link in the
message I am responding to, to make it easier for people to go back
to earlier iterations and that is good enough, I think.

Your eventual v10 can be sent with its cover set as a reply to the
cover of v9 and we will be fine.

It seems that we may need another iteration, but if I reclal
correctly what remains are all minor issues?

Thanks.